View Issue Details

IDProjectCategoryView StatusLast Update
0024470mantisbtotherpublic2018-06-06 00:39
ReporteratrolAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version2.15.0Fixed in Version2.15.0 
Summary0024470: System warning if $g_log_destination = 'page' when using PHP 7.2
Description

When using PHP 7.2 and $g_log_destination = 'page', the following warning is displayed

SYSTEM WARNING
'count(): Parameter must be an array or an object that implements Countable' in '.../core/logging_api.php' line 159
TagsNo tags attached.

Activities

Related Changesets

MantisBT: master ded684c8

2018-05-21 13:16:32

atrol

Details Diff
Fix PHP 7.2 system warning when logging is set to 'page'

Fixes 0024470
Affected Issues
0024470
mod - core/logging_api.php Diff File

Issue History

Date Modified Username Field Change
2018-05-21 13:13 atrol New Issue
2018-05-21 13:13 atrol Status new => assigned
2018-05-21 13:13 atrol Assigned To => atrol
2018-05-21 13:19 atrol Note Added: 0059896
2018-05-21 13:21 atrol Description Updated View Revisions
2018-05-23 02:12 atrol Changeset attached => MantisBT master ded684c8
2018-05-23 02:12 atrol Status assigned => resolved
2018-05-23 02:12 atrol Resolution open => fixed
2018-05-23 02:12 atrol Fixed in Version => 2.15.0
2018-05-23 04:23 atrol Changeset attached => MantisBT master 27021735
2018-05-23 04:31 atrol Changeset removed MantisBT master 27021735 =>
2018-06-06 00:39 vboctor Status resolved => closed